/***************************************************************************
 *   Copyright (C) 2010 by Dominik Seichter                                *
 *   domseichter@web.de                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 *   In addition, as a special exception, the copyright holders give       *
 *   permission to link the code of portions of this program with the      *
 *   OpenSSL library under certain conditions as described in each         *
 *   individual source file, and distribute linked combinations            *
 *   including the two.                                                    *
 *   You must obey the GNU General Public License in all respects          *
 *   for all of the code used other than OpenSSL.  If you modify           *
 *   file(s) with this exception, you may extend this exception to your    *
 *   version of the file(s), but you are not obligated to do so.  If you   *
 *   do not wish to do so, delete this exception statement from your       *
 *   version.  If you delete this exception statement from all source      *
 *   files in the program, then also delete it here.                       *
 ***************************************************************************/

#ifndef _PODOFO_BASE_H_
#define _PODOFO_BASE_H_

// Include files from PoDoFo-base

#include "base/PdfVersion.h"
#include "base/PdfDefines.h"
#include "base/Pdf3rdPtyForwardDecl.h"
#include "base/PdfArray.h"
#include "base/PdfCanvas.h"
#include "base/PdfColor.h"
#include "base/PdfContentsTokenizer.h"
#include "base/PdfData.h"
#include "base/PdfDataType.h"
#include "base/PdfDate.h"
#include "base/PdfDictionary.h"
#include "base/PdfEncodingFactory.h"
#include "base/PdfEncoding.h"
#include "base/PdfEncrypt.h"
#include "base/PdfError.h"
#include "base/PdfExtension.h"
#include "base/PdfFileStream.h"
#include "base/PdfFilter.h"
#include "base/PdfImmediateWriter.h"
#include "base/PdfInputDevice.h"
#include "base/PdfInputStream.h"
#include "base/PdfLocale.h"
#include "base/PdfMemoryManagement.h"
#include "base/PdfMemStream.h"
#include "base/PdfName.h"
#include "base/PdfObject.h"
#include "base/PdfObjectStreamParserObject.h"
#include "base/PdfOutputDevice.h"
#include "base/PdfOutputStream.h"
#include "base/PdfParser.h"
#include "base/PdfParserObject.h"
#include "base/PdfRect.h"
#include "base/PdfRefCountedBuffer.h"
#include "base/PdfRefCountedInputDevice.h"
#include "base/PdfReference.h"
#include "base/PdfSigIncWriter.h"
#include "base/PdfStream.h"
#include "base/PdfString.h"
#include "base/PdfTokenizer.h"
#include "base/PdfVariant.h"
#include "base/PdfVecObjects.h"
#include "base/PdfWriter.h"
#include "base/PdfXRef.h"
#include "base/PdfXRefStream.h"
#include "base/PdfXRefStreamParserObject.h"

#endif // _PODOFO_BASE_H_
